#ifndef __XNS_ZONE_H
#define __XNS_ZONE_H

#include<sys/types.h>
#include"rr.h"

typedef struct {
  char *origin;
  u_int16_t rrs;
  rr_t *rr;
  rr_t *soa;
} zone_t;

extern int read_zone(int, zone_t *);
extern int dump_zone(int, zone_t *);
extern int read_str_zone(FILE *, zone_t *);
extern int dump_str_zone(char **, zone_t *);

#endif
